petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningPartySetGlobal

Set global method for Party partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetGlobal(MatPartitioning part,const char *global)

Collective on MatPartitioning Many br

### Input Parameters

| part | - the partitioning context Many br
| method | - a string representing the method Many br

### Options Database

-mat_partitioning_party_global <method> -the global method Many br

Many br

### Notes

The method may be one of MP_PARTY_OPT, MP_PARTY_LIN, MP_PARTY_SCA, Many brMP_PARTY_RAN, MP_PARTY_GBF, MP_PARTY_GCF, MP_PARTY_BUB or MP_PARTY_DEF, or Many bralternatively a string describing the method. Two or more methods can be Many brcombined like "gbf,gcf". Check the Party Library Users Manual for details. Many br

### See Also

MatPartitioningPartySetLocal()

Level:advanced
Location:src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages